Package org.w3c.tidy

# Class StreamInFactory

java.lang.Object
org.w3c.tidy.StreamInFactory

public final class StreamInFactory extends Object
Tidy Input factory.

Version:
  $Revision: 807 $ ($Author: fgiust $)
Author:
  Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`static StreamIn`
`getStreamIn(Configuration config, InputStream stream)`
Returns the appropriate StreamIn implementation.
`static StreamIn`
`getStreamIn(Configuration config, Reader reader)`
Returns the appropriate StreamIn implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStreamIn

public static StreamIn getStreamIn(Configuration config, InputStream stream)
Returns the appropriate StreamIn implementation.

Parameters:
  `config` - configuration instance
  `stream` - input stream
Returns:
  StreamIn instance

### getStreamIn

public static StreamIn getStreamIn(Configuration config, Reader reader)
Returns the appropriate StreamIn implementation.

Parameters:
  `config` - configuration instance
  `stream` - input stream
Returns:
  StreamIn instance